/*************************************************************************************************
   Razor / rzTypes.h

   - All types "redefines"

*************************************************************************************************/
#pragma once

/*************************************************************************************************
 *
 * Basic types
 */
typedef unsigned char       rzU8;
typedef unsigned char       rzByte;
typedef unsigned short      rzU16;
typedef unsigned short      rzWord;
typedef unsigned long       rzU32;
typedef unsigned long       rzDword;
typedef LARGE_INTEGER       rzQword;
typedef signed char         rzS8;
typedef signed short        rzS16;
typedef signed long         rzS32;
typedef char                rzChar;
typedef short               rzShort;
typedef long                rzLong;
typedef float               rzF32;
typedef float               rzFloat;
typedef double              rzF64;
typedef double              rzDouble;

typedef unsigned int        rzSize;
typedef bool                rzBool;

#define rzNULL              0
#define rzFALSE             0
#define rzTRUE              1

/*************************************************************************************************
 *
 * Error/Return codes
 */
enum rzErrCode
{
    rzErrFail           = -1,   // general error (or undefined)
    rzErrOk             = 0,    // no error
};
